img { max-height: 500px; }

/* MENU */

.list { padding: 0px; }
.dropdown {
  display: inline-block;
  position: relative;
  padding: 12px 16px;
}
.dropdown-content {
  display: none;
  position: absolute;
  background-color: none;
  width: max-content;
  padding: 12px 0px;
  z-index: 1;
}

/* Links inside the dropdown */
.dropdown-content a {
  background-color: #000000aa;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
}

/* Change color of dropdown links on hover */
.dropdown-content a:hover {background-color: #00000033;}
.dropdown:hover {background-color: #00000033;}

/* Show the dropdown menu on hover */
.dropdown:hover .dropdown-content {display: block;}

/* LINKS */
a { text-decoration: underline; color: inherit; }
a:hover { text-decoration: none; }

/* ICONS */
.icon-h {
    display: inline-block;
}
.icon-h img{
    height: 2em;
    position: relative;
}
.icon-h span{
    position: relative;
    top: -.5em;
}
.icon-v {
    display: block;
}
.icon-v img{
    height: 5em;
    width: 100%;
}
.icon-v span{
    display: block;
    text-align: center;
}

/* DOWNLOAD WINDOW */
.download-link {
    border: 1px dotted black;
    border-radius: 10px;
    padding: 0px;
    margin: 10px 0 0 0;
    display: block;
}
.download-link a {
    z-index: 99999;
    position: relative;
    padding: 10px 10px 5px 10px;
    text-decoration: none;
    color: inherit;
}
.download-link a:hover {
    color: inherit;
}
.inner-downloads {
    padding: 10px;
    border: 2px solid black;
    border-radius: 15px;
    min-width:200px;
}
.inner-downloads h4 {
    margin: 0;
    display: flex;
    align-items: center;
}
.dl-menu {
    display: none;
}

/* change the position of the downloads box depending on window size */
@media (min-width:1655px) {
    .outer-downloads {
        margin: -111px 0 0 0;
        padding: 20px 0 0 0;
        height: 111px;
    }
    .inner-downloads {
        margin: 0 0 0 105%;
        width:max-content;
        min-width:200px;
        max-width:350px;
    }
}
@media (max-width:1654px) and (min-width:1560px) {
    .outer-downloads {
        margin: -111px 0 0 0;
        padding: 20px 0 0 0;
        height: 111px;
    }
    .inner-downloads {
        margin: 0 0 0 100%;
        width:max-content;
        min-width:200px;
        max-width:350px;
    }
}
@media (max-width:1559px) {
    .inner-downloads {
        margin: 20px 0;
        width: 100%;
    }
    /*hide the inputs/checkmarks and submenu*/
    span.download-link {
        display: none;
    }
    /*position the label*/
    label {
        position: relative;
        display: block;
        cursor: pointer;
    }
    /*show the submenu when input is checked*/
    input.dl-menu:checked~span.download-link {
        display: block;
    }
    /*style the hamburger icon inside the label*/
    button.dl-menu {
        display: inline-block;
        background: black;
        border: none;
        border-radius: 2px;
        width: 20px;
        height: 3px;
        position: absolute;
        right: 0;
        z-index: -1;
        margin-right:8px;
    }
    button.dl-menu::before,
    button.dl-menu::after {
        content: '';
        background: black;
        border-radius: 2px;
        width: 20px;
        height: 3px;
        position: absolute;
        right: 0;
    }
    button.dl-menu::before {
        top: -8px;
    }
    button.dl-menu::after {
        top: 8px;
    }
}

/* Tables */
table {
    width: 100%;
    border-collapse: collapse;
    border-spacing: 0;
    font-size: .8em;
}
td {
    border: 1px solid black;
    white-space: pre;
    padding: 5px;
}

/* ToC - Author: Robbi Nespu */
details.toc {
  border: .15rem solid #757575;
  padding: 1rem;
  margin-top: 1rem;
  margin-bottom: 1em;
  margin-right: 1em;
  color: #757575;
}
summary.toc:hover {
    cursor: pointer;
}
nav#TableOfContents li{
    padding: 0;
    margin: 0;
    text-decoration: none;
}
.toc-header {
  color: #757575;
  font-size: 1.5rem;
}
#TableOfContents > ul {
  list-style-type: none;
  padding-left: 1em;
}
#TableOfContents > ul > li ul {
  list-style-type: none;
  padding-left: 1em;
}

/* User Switch */

div.switchUser {
    position: fixed;
    top: -20px;
    left: 0;
    right: 0;
    margin-left: auto;
    margin-right: auto;
    width: fit-content;
    padding: 5px 10px;
    text-align: center;
    border-radius: 15px;
    background-color: #000000aa;
    color: white;
}
@media (max-width: 768px) {
    div.switchUser {
        right: 25px;
        margin-right: 0;
    }
}
div#userMenu {
    padding: 20px 20px;
}
button#teacherButton, button#pupilButton {
    border: none;
    background-color: #00000055;
    padding: 10px;
    color: white;
    font-size: 1em;
}
button#teacherButton:hover, button#pupilButton:hover {
    background-color: #000000aa;
    cursor: pointer;
}
button#userMenuButton {
    display: block;
    margin: auto;
    border: none;
    background-color: #00000000;
    color: white;
    font-size: 3em;
    padding: 0;
    margin: 0 auto;
}
button#userMenuButton:hover {
    cursor: pointer;
}
